<template>
  <el-dialog :visible.sync="show" v-on:update:visible="updateShowDialog"
    :width="widthModal"
    custom-class="dialog-red"> 
      <el-row >
        <el-col :span="5" class="text-center"><img src="../assets/images/suspicious.svg"  alt="emoticon"></el-col>
        <el-col :span="18" :offset="1">
          <p style="margin-bottom: 0.5rem"><strong> ¡Un momento! </strong></p>
          <p> {{ parrafo }} </p>
          <slot></slot>
          <el-row type="flex" justify="end">
            <el-button @click="$emit('btnEvent')" class="border-red" style="margin-top: 4rem" type="danger" plain> SÍ, CANCELAR</el-button>   
            <el-button v-on:click="$emit('eventBtn')" style="margin-top: 4rem" type="danger"> SEGUIR AQUÍ</el-button>                         
          </el-row>                           
        </el-col>
      </el-row>
   </el-dialog>
</template>

<script>
  export default {
    props: {
    showDialog: Boolean,
    parrafo: {
      type: String,
      default: '¿Estás seguro de que quieres cancelar el formulario? '   
    },
    widthModal: {
      type: String,
      default: '33%',
      required: false
     }
    },
    data(){
      return {
        show: this.showDialog
      }
    },
    methods: {
      updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:showDialog', false )
      },
    },
  }
</script>